# Class Weather

- Defined in src/data/weather.ts:25

#####
Index

### Constructors

constructor

### Properties

turnsLeft
weatherType

### Methods

getAttackTypeMultiplier
isDamaging
isEffectSuppressed
isImmutable
isMoveWeatherCancelled
isTypeDamageImmune
lapse

## Constructors

### constructor

- new Weather(weatherType, turnsLeft?): Weather

- #### Parameters

  - weatherType: WeatherType
  - `Optional` turnsLeft: number

  #### Returns Weather

  - Defined in src/data/weather.ts:29

## Properties

### turnsLeft

turnsLeft: number

- Defined in src/data/weather.ts:27

### weatherType

weatherType: WeatherType

- Defined in src/data/weather.ts:26

## Methods

### getAttackTypeMultiplier

- getAttackTypeMultiplier(attackType): number

- #### Parameters

  - attackType: Type

  #### Returns number

  - Defined in src/data/weather.ts:77

### isDamaging

- isDamaging(): boolean

- #### Returns boolean

  - Defined in src/data/weather.ts:56

### isEffectSuppressed

- isEffectSuppressed(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  - Defined in src/data/weather.ts:113

### isImmutable

- isImmutable(): boolean

- #### Returns boolean

  - Defined in src/data/weather.ts:45

### isMoveWeatherCancelled

- isMoveWeatherCancelled(move): boolean

- #### Parameters

  - move: default

  #### Returns boolean

  - Defined in src/data/weather.ts:102

### isTypeDamageImmune

- isTypeDamageImmune(type): boolean

- #### Parameters

  - type: Type

  #### Returns boolean

  - Defined in src/data/weather.ts:66

### lapse

- lapse(): boolean

- #### Returns boolean

  - Defined in src/data/weather.ts:34